package cn.reghao.tnb.auth.app.model.constant;

/**
 * 登入类型
 *
 * @author reghao
 * @date 2021-11-17 16:54:00
 */
public enum LoginType {
    // 手机号/验证码登入
    mobileCode(1),
    // 邮箱/密码登入
    usernamePassword(2),
    // 双因子验证
    twoFactor(3),
    // 第三方登入
    thirdParty(4);

    private final int value;
    LoginType(int value) {
        this.value = value;
    }

    public String getName() {
        return this.name();
    }

    public int getValue() {
        return value;
    }
}
